package de.apps4ics.mountainnavigation;

import de.apps4ics.mountainnavigation.pois.Options;

/**
 * Created by Vinz on 06.03.2016.
 */
public class PoiHandler {
    public void getPoisAround(double lat, double lon) {
        getPoisAround(lat, lon, -1);
    }

    public void getPoisAround(double lat, double lon, int limit) {

    }

    private void getPoisAroundOnline(double lat, double lon, int limit) {

    }

    private void getPoisAroundCached(double lat, double lon, int limit) {

    }

    public void getPoisAlong(double lat, double lon) {
        getPoisAlong(lat, lon, -1);
    }

    public void getPoisAlong(double lat, double lon, int limit) {

    }

    private void getPoisAlongOnline(double lat, double lon, int limit) {

    }

    private void getPoisAlongCached(double lat, double lon, int limit) {

    }

    //TODO move addPoiDialog and stuff to this class

    private void addPoiToOsm(double lat, double lon, double alt, int type, Options[] options) {

    }

    private void addPoiToCache(double lat, double lon, double alt, int type, Options[] options) {
        //TODO register callback to upload it to OSM as soon as data/wifi is available
    }

    public void editPoi(int id, Options[] options) {

    }

    private void editPoiToOsm(int id, Options[] options) {

    }

    private void editPoiToCache(int id, Options[] options) {

    }
}
